Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

SES-98: Update Spring to 3.0.7 and Spring Security to 3.1.0 #2

Closed
wants to merge 1 commit into from

2 participants

@rwinch
Owner

Since this has not been released yet and it has conflicts when updating to Spring Security 3.1, just update minimum requirement to 3.1.

I realize there is already a pull request [1] for this but it results in the following compilation error:

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.0.2:compile (default-compile) on project spring-security-kerberos-core: Compilation failure
[ERROR] /home/rwinch/git/spring-security-kerberos/spring-security-kerberos-core/src/main/java/org/springframework/security/extensions/kerberos/KerberosServiceAuthenticationProvider.java:[91,15] cannot find symbol
[ERROR] symbol  : constructor KerberosServiceRequestToken(org.springframework.security.core.userdetails.UserDetails,java.util.Collection<capture#221 of ? extends org.springframework.security.core.GrantedAuthority>,byte[])
[ERROR] location: class org.springframework.security.extensions.kerberos.KerberosServiceRequestToken

[1] #1

@rwinch rwinch SES-98: Update Spring to 3.0.7 and Spring Security to 3.1.0
Since this has not been released yet and it has conflicts when updating to Spring Security 3.1, just update minimum requirement to 3.1.
d0dabfa
@rwinch rwinch referenced this pull request
Closed

Cleanup #3

@mikewiesner mikewiesner closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Apr 4, 2012
  1. @rwinch

    SES-98: Update Spring to 3.0.7 and Spring Security to 3.1.0

    rwinch authored
    Since this has not been released yet and it has conflicts when updating to Spring Security 3.1, just update minimum requirement to 3.1.
This page is out of date. Refresh to see the latest.
View
2  spring-security-kerberos-core/pom.xml
@@ -66,6 +66,6 @@
</dependencies>
<properties>
<spring.version>3.0.5.RELEASE</spring.version>
- <spring.security.version>3.0.5.RELEASE</spring.security.version>
+ <spring.security.version>3.1.0.RELEASE</spring.security.version>
</properties>
</project>
View
2  ...in/java/org/springframework/security/extensions/kerberos/KerberosServiceRequestToken.java
@@ -51,7 +51,7 @@
* @param token the Kerberos/SPNEGO token
* @see UserDetails
*/
- public KerberosServiceRequestToken(Object principal, Collection<GrantedAuthority> authorities, byte[] token) {
+ public KerberosServiceRequestToken(Object principal, Collection<? extends GrantedAuthority> authorities, byte[] token) {
super(authorities);
this.token = token;
this.principal = principal;
View
2  ...pringframework/security/extensions/kerberos/web/SpnegoAuthenticationProcessingFilter.java
@@ -29,8 +29,8 @@
import org.springframework.security.authentication.AuthenticationManager;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;
-import org.springframework.security.core.codec.Base64;
import org.springframework.security.core.context.SecurityContextHolder;
+import org.springframework.security.crypto.codec.Base64;
import org.springframework.security.extensions.kerberos.KerberosServiceAuthenticationProvider;
import org.springframework.security.extensions.kerberos.KerberosServiceRequestToken;
import org.springframework.security.web.authentication.AuthenticationFailureHandler;
Something went wrong with that request. Please try again.